Subject: bug#6227: Color isearch regexp submatches differently

From: Lennart Borgman <[email-masked]>
Date: Fri, 21 May 2010 03:19:48 +0200

On Fri, May 21, 2010 at 2:07 AM, Juri Linkov <[email-masked]> wrote:
>> Just a suggestion, of course.
>
> We already have highlighting like that: lisp/emacs-lisp/re-builder.el
> uses faces `reb-match-1', `reb-match-2', `reb-match-3' to highlight
> regexp subexpressions.  I think this should be used by isearch.

That sounds right to me.

Also Drew suggestion to not color submatches in lazy marking seems right.